#ifndef ENEMY_H
#define ENEMY_H

#include "dsoundUtility.h"
#include <time.h>
#include <stdlib.h>
#include "Vector.h" 

class Enemy {

private:

	int attackspeed;
	bool groaned;
	bool alive;
	bool groan;
	int health;
	bool attacking;
	float reach;
	D3DVECTOR position;
	D3DVECTOR orient;
	DSoundDevice* theDevice;
	Sound* groan1;
	Sound* groan2;
	Sound* attack;
	Sound* scream;
	Sound* suspect;
	LPDIRECTSOUND3DBUFFER suspect3d;
	LPDIRECTSOUND3DBUFFER groan3d1;
	LPDIRECTSOUND3DBUFFER groan3d2;
	LPDIRECTSOUND3DBUFFER attack3d;
	LPDIRECTSOUND3DBUFFER scream3d;


public:

	Enemy(DSoundDevice* device);
	~Enemy();
	void Init(int MaxX, int MinX, int MaxZ, int MinZ, float rad, int attacks);
	int GetX();
	int GetZ();
	int GetOrX();
	int GetOrZ();
	float GetRad();
	void Normal();
	void Die();
	void Attack();	
	void PlaytheSound();
	CVector2 Return2Dpos();
	CVector2 Return2DOrient();
	bool TestCollision(float x, float z, float r);
	int GetAttackSpeed();
	bool IsAttacking();
	void StopAllSound();
	void Suspicious();
	bool GetStatus();
	void KillAll();
};

#endif


